<template>
  <div>
    <div class="titulo">
      <div class="ruta">
        <v-breadcrumbs :items="breadcrumbs" :large="false">
          <template v-slot:divider>
            <v-icon>mdi-chevron-right</v-icon>
          </template>
        </v-breadcrumbs>
      </div>
      <strong>Administración de Layouts</strong>
    </div>
    <div class="cotm">
      <div class="tmod">
        <strong>¿Con qué deseas comenzar hoy?</strong>
      </div>
    </div>
    <div class="contSecc">
      <v-tabs v-model="tabs" fixed-tabs>
        <v-tab>
          <strong>LAYOUTS</strong>
        </v-tab>
      </v-tabs>
      <v-tabs-items v-model="tabs">
        <v-tab-item>
          <div>
            <v-row>
              <v-col
                v-for="(card, indexCard) in cardsV6"
                :key="card.title"
                :xs="12"
                :sm="12"
                :md="6"
                :lg="3"
                :offset-lg="indexCard === 0 ? 0 : 0"
              >
                <v-card
                  :to="card.to"
                  :color="card.color"
                  class="generalCard pa-4"
                  style="margin-top: 10px"
                >
                  <v-avatar class="ma-3" size="200" tile>
                    <v-img
                      :contain="true"
                      :aspect-ratio="1"
                      position="center"
                      :src="card.src"
                      :lazy-src="card.src"
                      class="white--text align-end"
                      height="150"
                    >
                      <template v-slot:placeholder>
                        <v-row
                          class="fill-height ma-0"
                          align="center"
                          justify="center"
                        >
                          <v-progress-circular
                            indeterminate
                            color="grey lighten-5"
                          ></v-progress-circular>
                        </v-row>
                      </template>
                    </v-img>
                  </v-avatar>
                  <v-card-title
                    class="cardTitle justify-center white--text"
                    v-text="card.title"
                  ></v-card-title>
                  <v-card-subtitle
                    class="white--text"
                    v-text="card.description"
                  ></v-card-subtitle>
                </v-card>
              </v-col>
            </v-row>
          </div>
        </v-tab-item>
      </v-tabs-items>
    </div>
    <!-- Fin conSecc -->
  </div>
</template>
<style scoped>
.generalCard .cardTitle {
  border-top: 2px solid #ffcd00;
}
</style>
<script>
import store from "@/store";
const serviceLocalStorage = store.state.serviceLocalStorage;
export default {
  data() {
    return {
      tabs: null,
      tabs2: null,
      perfilesEncontrados: null,

      cardsV1: [
        {
          title: "Reportes de Evaluación 1.0",
          src: require("@/assets/img/Reportes.svg"),
          description:
            "Descarga la documentación generada en el recorrido: Hallazgos, Historial de Hallazgos y Dashboard.",
          to: {
            name: "modelo_entrega_informacion",
          },
          color: "#808080",
        },
        {
          title: "Atención de Hallazgos 1.0",
          src: require("@/assets/img/AtencionHallazgos.svg"),
          description:
            "Gestiona los hallazgos identificados en el recorrido, podrás visualizarlos, autorizarlos y atenderlos.",
          to: {
            name: "modelo_entrega_hallazgos",
          },
          color: "#494949",
        },
      ],
      cardsV2: [
        {
          title: "Reportes de Evaluación 2.0",
          src: require("@/assets/img/Reportes.svg"),
          description:
            "Descarga la documentación generada en el recorrido: Hallazgos, Historial de Hallazgos y Dashboard.",
          to: {
            name: "modelo_franquicia_info_recorridos",
          },
          color: "#808080",
        },
        {
          title: "Atención de Hallazgos 2.0",
          src: require("@/assets/img/AtencionHallazgos.svg"),
          description:
            "Gestiona los hallazgos identificados en el recorrido, podrás visualizarlos, autorizarlos y atenderlos.",
          to: {
            name: "modelo_franquicia_atencion_hallazgos",
          },
          color: "#494949",
        },
      ],
      cardsV3: [
        {
          title: "Hallazgos por negocio",
          src: require("@/assets/img/Reportes.svg"),
          description: "Visualiza el estatus de Hallazgos por negocio.",
          to: {
            name: "modelo_franquicia_busqueda_hallazgos_negocio",
          },
          color: "#808080",
        },
      ],
      cardsV4: [
        {
          title: "Administrador de asignaciones",
          src: require("@/assets/img/alta-protocolo-nuevas-sucursales-b.svg"),
          description: "Administra las asignaciones de tus sucursales.",
          to: {
            name: "modelo_franquicia_calendario_infraestructura",
          },
          color: "#808080",
        },
      ],
      cardsV5: [
        {
          title: "Atención de hallazgos",
          src: require("@/assets/img/AtencionHallazgos.svg"),
          description:
            "Gestiona los hallazgos identificados en el recorrido, podrás visualizarlos, autorizarlos y atenderlos.",
          to: {
            name: "modelo_franquicia_atencion_hallazgos",
          },
          color: "#808080",
        },
      ],
      cardsV6: [
        {
          id: 1,
          title: "CREAR NUEVO DOCUMENTO",
          src: require("@/assets/img/layouts/CrearNuevoDocumento.svg"),
          description: "Gestion de documentos.",
          /*to: {
            name: "infraestructura_layouts_documento_nuevo",
          },*/
          to: {
            name: "infraestructura_layouts_documento_nuevo",
          },
          color: "#808080",
        },
        {
          id: 2,
          title: "VISUALIZAR DOCUMENTO",
          src: require("@/assets/img/layouts/VisualizarDocumento.svg"),
          description: "Visualización de documentos.",
          to: {
            name: "infraestructura_layouts_documentos_proyectos_construccion",
          },
          color: "#808080",
        },

        {
          id: 3,
          title: "ACTUALIZAR DOCUMENTO",
          src: require("@/assets/img/layouts/ActualizarDocumento.svg"),
          description: "Actualización de documentos.",
          to: {
            name: "infraestructura_layouts_documentos_proyectos_construccion",
          },
          color: "#808080",
        },

        {
          id: 4,
          title: "CONSULTAR Y ENVIAR DOCUMENTO",
          src: require("@/assets/img/layouts/ConsultarDocumento.svg"),
          description: "Consulta descarga y envío de documentos.",
          to: {
            name: "infraestructura_layouts_consulta_envio_documento",
          },
          color: "#808080",
        },
      ],

      breadcrumbs: [
        {
          text: "Plataforma de Franquicia",
          disabled: false,
          exact: true,
          to: {
            name: "home",
          },
        },
        {
          text: "Modelo de Entrega",
          disabled: true,
        },
      ],
    };
  },
  methods: {
    getUser() {
      this.user = serviceLocalStorage.userToken();
      this.perfilesEncontrados = store.state.perfiles;
      //this.perfilesEncontrados = [{ perfil: { id_perfil: 332 } }];
      this.getPerfil();
    },
    getPerfil() {
      var navigation_to_visualizador = "";
      var navigation_to_actualizador = "";
      var navigation_to_consulta_descarga = "";
      /**
       * 332     Administrador Layouts Franquicia
         333     Layouts Proyectos y Construcción
         334     Layouts Geografía y Negocio
        335     Certificador de Calidad
       */
      if (this.perfilesEncontrados.length > 0) {
        let admin = this.perfilesEncontrados.find(
          (objeto) => objeto.perfil.id_perfil == 332
        );

        let proy_const = this.perfilesEncontrados.find(
          (objeto) => objeto.perfil.id_perfil == 333
        );

        let geo_nego = this.perfilesEncontrados.find(
          (objeto) => objeto.perfil.id_perfil == 334
        );

        let certifica = this.perfilesEncontrados.find(
          (objeto) => objeto.perfil.id_perfil == 335
        );

        if (certifica) {
          navigation_to_visualizador =
            "infraestructura_layouts_documentos_certificacion_calidad";
        } else if (geo_nego) {
          navigation_to_visualizador =
            "infraestructura_layouts_documentos_geografia_negocio";
        } else if (proy_const) {
          navigation_to_visualizador =
            "infraestructura_layouts_documentos_proyectos_construccion";
        } else if (admin) {
          navigation_to_visualizador = "infraestructura_layouts_documentos";
          navigation_to_actualizador =
            "infraestructura_layouts_actualiza_documento";
          navigation_to_consulta_descarga =
            "infraestructura_layouts_consulta_envio_documento";
        }

        this.cardsV6[0].to.name = "infraestructura_layouts_documento_nuevo";
        this.cardsV6[1].to.name = navigation_to_visualizador;
        this.cardsV6[2].to.name = navigation_to_actualizador;
        this.cardsV6[3].to.name = navigation_to_consulta_descarga;
      } else {
        this.cardsV6[0].to.name = "";
        this.cardsV6[1].to.name = "";
        this.cardsV6[2].to.name = "";
        this.cardsV6[3].to.name = "";
      }
    },
    isPerfilDespacho() {
      var usuariosFranquicia = [
        "10022084",
        "10022918",
        "10022236",
        "10023354",
        "10015237",
        "10021888",
        "10022234",
        "10021033",
        "00573646",
        "10021889",
        "10009852",
        "10022129",
        "10024223",
        "00654135",
        "00095155",
        "10017297",
        "10017345",
        "321224",
        "342369",
        "10016412",
        "10019387",
        "10016976",
        "94860",
        "10013762",
        "951185",
        "94860",
        "10013762",
        "951185",
      ];
      usuariosFranquicia.forEach((currentValue, index, array) => {
        if (this.user.empleado == usuariosFranquicia[index]) {
          this.perfilDespacho = true;
        }
      });
    },
    initCards() {
      this.getUser();
      this.isPerfilDespacho();
    },
  },
  created() {
    this.initCards();
  },
};
</script>
